---
title: Document.links
slug: Web/API/Document/links
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Reference
---
<p>{{ APIRef("DOM") }}</p>

<p>The <strong><code>links</code></strong> read-only property of the {{domxref("Document")}} interface returns a collection of all {{HTMLElement("area")}} elements and {{HTMLElement("a")}} elements in a document with a value for the <a href="/en-US/docs/Web/API/URLUtils.href">href</a> attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>nodeList</em> = document.links
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var links = document.links;
for(var i = 0; i &lt; links.length; i++) {
  var linkHref = document.createTextNode(links[i].href);
  var lineBreak = document.createElement("br");
  document.body.appendChild(linkHref);
  document.body.appendChild(lineBreak);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-links', 'Document.links')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 HTML", "html.html#ID-7068919", "document.links")}}</td>
   <td>{{Spec2("DOM2 HTML")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.links")}}</p>
